

# Instructions
- [Watch this quick video to ensure the game runs properly.](https://youtu.be/xsdGme-IU7o)
- If you downloaded my mod prior to 4/17/23. Remove the AllTameable_TameList from Your Configs folder. It will be replaced by AllTameable_TameList_ValadrielsMadNPCs 
- If you want to tame creatures from other mods, refer to the instructions at [AllTameableTamingOverhaul](https://valheim.thunderstore.io/package/Meldurson/AllTameableTamingOverhaul/)
- If you downloaded my mod prior to 6/24/23. Remove DragonBlade from your mod library. The 6/12 update broke this mod.

**Every NPC In this mod can be tamed.**

| NPC | Spawn Biome | Spawn Location | Breedable | Description |
| --- | --- | --- | --- | --- |
| Vikings | Meadows | Draugr villages | Yes | Friendly |
| Shield Maidens | Meadows | Draugr villages | Yes | Friendly |
| Human Commoners | Meadows | Draugr villages | Yes | Friendly |
| Human Mages | Meadows | Rare Spawn | Yes | Friendly|
| Rus Vikings | Meadows | Throughout the biome | Yes | Hostile|
| Beak Boy | Meadows | Extremely Rare | No | You must travel the Meadows with Birdman to find his sidekick. |
| Lady Hawk | Black Forest | Extremely Rare | No | You must travel the Blackforest with Birdman to find his better half. |
| [Elven Rangers](https://www.youtube.com/watch?v=-ilHEse_qHE&t=17s) | Black Forest | Ruins | Yes | Friendly |
| Elven Commoners | Black Forest | Throughout the biome | Yes | Friendly |
| Elven Druids | Black Forest | Rare Spawn | Yes | Friendly |
| The Elven Queen | Black Forest | Very Rare Spawn | No | Fires an array of magical arrows |
| The Elven King | Black Forest | Very Rare Spawn | No | Deals lightning damage. Will summon Elven Rangers in battle |
| Dwarf Copper Miners | Black Forest | Near Copper Nodes | Yes | Friendly |
| Dryads | Black Forest/ Swamps | Throughout the biome | Yes | Hostile |
| Darach | Black Forest | Extremely Rare | No | (Boss) A Dark Druid and Leader of the Dryads. Defeat her and she will join your side. |
| Necromancers | Swamps | Rare Spawn | Yes | Friendly |
| [Cheb](https://valheim.thunderstore.io/package/ChebGonaz/) The NecroLord | Swamps | Extremely Rare | No | (Boss) Hostile Dark Elf NPC that will occasionally spawn. Defeat him quickly before he overruns you with his army of undead minions. Once defeated, a tamed version of NecroLord will appear. |
| Dwarf Iron Miners | Swamps | Near Mudpiles | Yes | Friendly|
| Sirens | Ocean | Throughout the biome | Yes | Hostile|
| Mermen | Ocean | Extremly Rare | Yes | Hostile|
| [Dwarf Commoners](https://www.youtube.com/watch?v=csWjAd8o-hs&t=9s) | Mountains | Throughout the biome | Yes | Friendly |
| Dwarven Warriors & Rogues | Mountains | Ruins | Yes | Friendly |
| The Dwarven King | Mountains | Very Rare Spawn | No | Summons Dwarven Elite Warriors, Warriors and Rogues. |
| The Dwarven Queen | Mountains | Very Rare Spawn | No | Drops bombs on her enemies from afar and dragon blades them if they get too close. |
| Dwarf Silver Miners | Mountains | Near Silver Veins | Yes | Friendly |
| Snow Elf Warriors | Mountains/ Deep North | Rare | Yes | Friendly Jotunn half breed Warriors with powerful frost metal weapons. |
| Snow Elf Mage | Mountains/ Deep North | Rare | Yes | Friendly Jotunn half breed mages with powerful frost spells |
| [Horemvore](https://valheim.thunderstore.io/?q=horem&ordering=last-updated&section=mods) The Frostsmith | Mountains | Extremely Rare | No | A Snow Elf/ Dwarf hybrid who loves his Frostner a little too much.|
| [Vapok](https://valheim.thunderstore.io/package/Vapok/) The Adventurer | Plains | Extremely Rare | No | An Elven Warrior exploring the Plains. |
| Althea The Blackthorn | Plains | Extremely Rare | No | An Elven Rogue exploring the Plains |
| Birdman [The Stoned Prophet](https://www.youtube.com/watch?v=cMgSxINqiM0&t=1s) | Plains | Extremely Rare | No | (Insert Dramatic movie trailer voice) The Hero Valheim never knew it needed. |
| Shadow Dwarf Commoners | Mistlands | Throughout the Biome | Yes | Hostile |
| Shadow Dwarf Warriors & Rogues | Mistlands | Throughout the Biome | Yes | Hostile |
| Shadow Dwarf Warlocks | Mistlands | Rare Spawn | Yes | Hostile |
| Shadow Dwarf King | Mistlands | Extremely Rare Boss | No | (Boss) Beware the legendary Death Knight Muahahaha. Tamed when defeated. |
| [Svartalfr Commoners](https://www.youtube.com/watch?v=5dTBV-K9GLs) | Ash Lands | Throughout the biome | Yes | Hostile |
| [Mel'Durson](https://valheim.thunderstore.io/package/Meldurson/AllTameableTamingOverhaul/) The Slaver | Ash Lands | Extremely Rare | No | A Dark Elf who stalks the Ash Lands looking to ply his trade.|
| Svartalfr Queen | Ash Lands | Extremely Rare Boss | No | (Boss) The Dark Elven Queen fires volleys of fire arrows and summons her loyal Flamerir to aid her in battle. Tamed when defeated. |
| [Azumatt](https://valheim.thunderstore.io/package/Azumatt/) the Fel Lord | Ash Lands | Extremely Rare Boss | No | (Boss) The Dark Elven General is tamed when defeated. |
| Wight zee Orc Slayer | Ash Lands | Extremely Rare | No | A Half Dark Elf shunned by humanity who takes his fury out on his father's kind. |
| Snow Elf Commoners | Deep North | Throughout the biome | Yes | Friendly |
| [Southsil](https://valheim.thunderstore.io/package/southsil/) The Winterstorm | Deep North | Extremely Rare | No | The General of the Snow Elf Armies who fires a volley of frozen arrows.|
| Half Elf Commoners | NA | Breeding | No | The Infertile offspring of Humans and Elves |
| Half Elf Rune Knights | NA | Breeding | No | Half Elven Battle Mages with the power to wield powerful runic weapons. |
| Half Elf Spirit Mages | NA | Breeding | No | Half Elven Mages with inate spiritual magic. |
| Halflings | NA | Breeding | Yes | The offspring of Humans and Dwarves. |
| Gnomes | NA | Breeding | Yes | The offspring of Human Mages and Dverger Mages. |
| Valadriel The Mad | Everywhere | Etremely Rare | No | Breaking 4th Walls and TAKING NAMES!!!! #Madness |
| Arfiroth The Cunning | Everywhere | Etremely Rare | No | Adventure with Valadriel to find his Half Snow Elf Companion! |

# Conflicts
- Not compatible with PopVillages by Fantu as it uses the same spawn locations.
- Magic Plugin is incompatable with Sages Vault.
- Will work with Jewelheim if you remove the Skeleton spawners in the mountains. Refer to Spawn That Mod Instructions.

# Future NPCs
- Human Mage Boss

# Changelog
<details>
<summary>2023</summary> 

## 1.10.1

-  Adjusted appearance of half elves.

## 1.10.0

-  Removed DragonBlade from dependant mods due to update breaking it.

## 1.9.3

-  Corrected a Spawn That Error for Human Commoner Females.

## 1.9.2

-  Adjusted Dwarf Sizes and made changes to Southsil and Arfiroth's weapons.

## 1.9.1

-  Added Arfiroth.

## 1.9.0

-  Improved attack animations and sound effects for  Rune Knights, Shadow Dwarf King, Cheb.
-  Adjusted Horem and SouthSils armor sets.
-  Added Odinflight to the Dependant Mods list.
-  Added Birdman, LadyHawk,BeakBoy, Wight & VALADRIEL THE MAD MUAHAHAHAHAHAHAHAHA!!!!!!!

## 1.8.3

-  Improved attack animations for Fire Gnomes, Dark Elf Mages, Sirens, Mermen, Elven Queen and Rune Knights.
-  Adjusted Necrolord's, Darach's and Shadow Dwarf King armor sets.

## 1.8.2

-  Found a work around for the elf healing issue.
-  Added Shadow Dwarf King Boss.
-  Made adjustments to Snow Elf, and Darach armor sets.

## 1.8.1

-  Removed Shaman Heal from named elves. It keeps glitching and killing players if you use the shaman heal on an RRRNPC that has attack damage overides.

## 1.8.0

-   Snow and Dark Elf Archers have thier own distict armor sets.
-   Made Southsil more Epic.
-   Added Darach Boss.
-   Added Mad Hatter to the dependant mods list.
-   Added hats to Gnomes and Human Fishermen.

## 1.7.4

-   Fixed an error with the Elven Queen and Elven King that was causing friendly fire.

## 1.7.3

-   Added bluemushroom spawners to the Deep North.
-   Fixed errors in the taming list.
-   Adjusted Area Spawners.
-	Made changes to Mermen armor.
-   Added Halflings and Gnomes.

## 1.7.2

-   Adjusted Spawners for Sirens and Mermen. Divers beware #Madness

## 1.7.1

-   Fixed a Drop That Error that was causing 30 chebs to spawn when you killed the boss.
-   Adjusted Spawners on Elf Commoners based on feedback.

## 1.7.0

-   Added Chaos Armor to the dependency string.
-   Added Shadow Dwarve Warriors, Rogues, Commoners and Warlocks.

## 1.6.6

-   Improved Dark and Snow Elf racial abilities.

## 1.6.5

-   Added Rus Vikings, Snow and Dark Elf Commoners.

## 1.6.4

-   Fixed issue that was preventing NPCs from swinging Iron swords.

## 1.6.3

-   Added the new antler weapons from Valheim Armory to the Elves.
-   Added Sirens and Mermen.

## 1.6.2

-   Fixed an error that prevented the Dark Elf General from loading.
-   Adjusted Dryad spawners based on feedback.

## 1.6.1

-   Improved attack animations for melee NPCs.
-   Dwarf Miners now spawn near mining materials.
-   Added abother 18 variations to armor, items and weapon combinations across all melee NPCs.
-   NPCs will now retain the the items they are holding upon restart. 

## 1.6.0

-   Improved bow attacks for all archers.
-   Upadated the dependecy string to include the new version of alltameable.
-   Added spawn messages in Elvish, Dwarvish and Giantish to several NPCs. #ChatGPT

## 1.5.3

-   Made final adjustments to the Elven armor sets.
-   Added Half Elf Commoners and Southsil the Snow Elf General.
-   The Rune Knight and Spirit Mage were changed into generic Rune Knights and Mages witha a variety of appearances and can only be attained through breeding.
## 1.5.2

-   Made spawner adjustments.

## 1.5.1

-   Fixed Taming Error for Dark Elf General.
-   Added Althea The Blackthorn, Azumatt the Fel Lord.
-   Fully reworked the taming list. With the new update, only female NPCs can get pregnant and unique hybrids that can only be created through breeding are coming soon. 

## 1.5.0

-   Some feedback was given about the number of dependant mods, so I switched Fantasy Armory and Do or Die Shields, for Do or Die Items. As I develop the mod I will try to limit any further expansions until i am ready to start creating new locations.
-   Added Althea The Blackthorn, Azumatt the Fel Lord.

## 1.4.1

-   Adjusted spawn timers on King NPCs so they don't break your frame rate (please give feedback if you still think they spawn too often.)
-   Adjusted Spawner times and dependencies so magical NPCs must be within proximity of warriors, which spawn at specific locations on the map.
-   Adjusted spawner depedency chains for all commoners.
-   Corrected an error where Rune Knight'ss lightning attack was dealing friendly fire.
-   Added AsheFireUlv Monster that is summoned by the Dark Elf Queen who is now a boss (thank you to the author of monsternomicon as I am using assets provided through his mod).
-   Made adjustments to the VFX and SFX of several NPC attacks.
-   Create Loot tables for all of my NPCs.

## 1.4.0

-   Changed out NPC Gear for Dark Elves (perfection takes time and experimentation #madness).
-   Added Drop That to the list of dependant mods.
-   Made Cheb The NecroLord a Boss that drops a tamed version of himself when defeated.
-   Fixed an error that was casuing necromancer minions to attack thier summoner.
-   Corrected sound effects on all female NPCs.

## 1.3.1

-   Adjusted the health of all named NPCs.
-   Added Dark Elf Queen and Mel'Durson The Slaver.
-   Made adjustments to Dark elf behaviors so they will attack your bases.

## 1.3.0

-   Adjusted world spawners for all NPCs.
-   Rune Knight is now Southsil The Rune Knight.
-   Half Elf Mage Became Elara The Spirit Mage.
-   Added Vapok The Adventurer, Horemvore The Frostsmith & The Dwarven Queen.
-   Added Valheim Armory to the dependent mods list.

## 1.2.0

-   Added MonsterLabz to the dependent mods list (I was using animations from this mod and was unaware. Thank you for your patience.)

## 1.1.4

-   Fixed Thunderstore ModManager not downloading configs.

## 1.1.3

-   Further adjustments to mage spawning.
-   Fixed an error in the tamelist for human breeding foods.
-   Fixed Dark Elf Mage Spawners.

## 1.1.2

-   Fixed Mage overspawning in meadows error.

## 1.1.1

-   Removed Snow Elves from area spawners and added plentiful spawning for these NPCs in the DeepNorth.
-   Added spawn messages to all rare world spawns, so you are alerted to look around your area when friendly Royalty, Mages and Druids Spawn.
-   Removed Human Mages and Elf Druids from area spawners to make them much rarer to find.

## 1.1.0

-   Fixed Elven King not spawning NPCs correctly.
-   Added World Spawners for Half Elf Rune Knignts, Half Elf Mages and Snow Elf Mages.
-   Added Honey Plus to the depenant mods list.
-   Changed breeding and pregancy rates of different species so you have to grind to breed the strongest NPCs.

## 1.0.3

-   Fixed local spawners For Necromancers and Snow Elves.
-   Fixed World Spawners and increased the chances of rare NPCs spawning.
-   Fixed Alltameable Elf Breeding Error.

## 1.0.2

-   Fixed local spawners so various NPCs will spawn at new locations.

## 1.0.1

-   Made changes to the description.

## 1.0.0

-   Initial upload.














